Subject: Re: [PATCH] net: fix race in the receive/select

From: Zan Lynx <[email-masked]>
Date: Mon, 29 Jun 2009 10:59:57 -0600

Andi Kleen wrote:
> At least on x86 I can't see how it happens. mb() is only a compile
> time barrier and the compiler doesn't optimize over indirect callbacks
> like __pollwait() anyways.

Just a note about this. That used to be true, that GCC didn't optimize 
indirect calls. However, see -findirect-inlining in GCC 4.4.

I am not saying that it applies here, but it is something to remember.

-- 
Zan Lynx
[email-masked]

"Knowledge is Power.  Power Corrupts.  Study Hard.  Be Evil."